Subject: bug#14780: closed (Re: bug#14780: Regression: C-n doesn't go to next line under simple circumstances)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Jul 2013 17:39:02 +0000

Your bug report

#14780: Regression: C-n doesn't go to next line under simple circumstances

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14780: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14780
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14780: Regression: C-n doesn't go to next line under simple circumstances
From: Eli Zaretskii <[email-masked]>
To: Barry OReilly <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Jul 2013 20:38:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 22 Jul 2013 16:37:49 -0400
> From: Barry OReilly <[email-masked]>
> Cc: [email-masked]
> 
> On Sat, Jul 20, 2013 at 5:09 AM, Eli Zaretskii <[email-masked]> wrote:
> > Sorry, that change had a bug.  Please try this instead:
> 
> That fixes the issue. Thanks.

Thanks, committed as trunk revision 113532.

Subject: Regression: C-n doesn't go to next line under simple circumstances
From: Barry OReilly <[email-masked]>
To: [email-masked]
Date: Wed, 3 Jul 2013 12:03:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Let cant-next-line.el have file contents:

  (tool-bar-mode 0)
  (global-whitespace-mode 1)
  (set-face-attribute 'default nil :height 80)
  (setq scroll-margin 4)
  (setq scroll-conservatively 101)

Open up the attached cant-next-line.txt by:

  emacs -Q --load cant-next-line.el cant-next-line.txt

Move point to be immediately before the 'h' of "here". Try to reach the '-'
character at the end of the file using C-n. You can't. If I move point to
the beginning of line containing "here", then I can.

I checked emacs-24.3 and could not reproduce this, so it is a regression.

I witnessed this with latest trunk 68068a328a854998a0071f4714cbacdfed36fcc1
and for commit 20899d085afe62520113b5acbfe3dbba57823dc9 (Jun 5) which I use
day to day (because the commit immediately following broke Evil in a
critical way).

---

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.10.4)
 of 2013-06-18 on psd15
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
System Description:    Red Hat Enterprise Linux Client release 5.4 (Tikanga)

Configured using:
 `configure
 --prefix=/redacted/user/boreilly/sw/emacs-install-trunk-20899d085afe62520113b5acbfe3dbba57823dc9
 --with-gif=no'

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  global-whitespace-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort nadvice gnus-util mail-extr emacsbug message format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils disp-table whitespace time-date
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)